
#include "g346_common.h"

template<> void g346_ads_data_setmanip<uint16_t>(AdsLogicData& d)
{
  d.setManipulator(AdsLogicDataDelegateUInt16);
}

template<> void g346_ads_data_setmanip<int16_t>(AdsLogicData& d)
{
  d.setManipulator(AdsLogicDataDelegateInt16);
}


template<> void g346_ads_data_setmanip<int32_t>(AdsLogicData& d)
{
  d.setManipulator(AdsLogicDataDelegateInt32);
}


g346_simulator_enable grifo_sim_enable;

metricRegistered G346Metric("G346", 205000, 10);
